	* Fix blackfin related headers to support boards without 
	  onboard flash.

Signed-off-by: Andrey Volkov <avolkov@varma-el.com>
---

 cpu/bf53x/start.S               |    3 +++
 include/asm-blackfin/mem_init.h |    3 +++
 lib_blackfin/board.c            |    4 ++++
 3 files changed, 10 insertions(+), 0 deletions(-)

diff --git a/cpu/bf53x/start.S b/cpu/bf53x/start.S
index 6d58575..f9fe512 100644
--- a/cpu/bf53x/start.S
+++ b/cpu/bf53x/start.S
@@ -70,7 +70,10 @@
 .global edata;
 .global _initialize;
 .global _exit;
+
+#ifndef	CFG_NO_FLASH
 .global flashdataend;
+#endif
 
 .text
 _start:
diff --git a/include/asm-blackfin/mem_init.h b/include/asm-blackfin/mem_init.h
index 2741aea..8be76a2 100644
--- a/include/asm-blackfin/mem_init.h
+++ b/include/asm-blackfin/mem_init.h
@@ -153,6 +153,7 @@
 /* Enable SCLK Out */
 #define mem_SDGCTL	( SCTLE | SDRAM_CL | SDRAM_tRAS | SDRAM_tRP | SDRAM_tRCD | SDRAM_tWR | PSS )
 
+#ifndef CFG_NO_FLASH
 #define flash_EBIU_AMBCTL_WAT	( ( CONFIG_FLASH_SPEED_BWAT * 4 )  / ( 4000000000 / CONFIG_SCLK_HZ ) ) + 1
 #define flash_EBIU_AMBCTL_RAT	( ( CONFIG_FLASH_SPEED_BRAT * 4 )  / ( 4000000000 / CONFIG_SCLK_HZ ) ) + 1
 #define flash_EBIU_AMBCTL_HT	( ( CONFIG_FLASH_SPEED_BHT  * 4 )  / ( 4000000000 / CONFIG_SCLK_HZ ) )
@@ -294,3 +295,5 @@
 #endif
 
 #define flash_EBIU_AMBCTL0	flash_EBIU_AMBCTL0_WAT | flash_EBIU_AMBCTL0_RAT | flash_EBIU_AMBCTL0_HT | flash_EBIU_AMBCTL0_ST | flash_EBIU_AMBCTL0_TT | CONFIG_FLASH_SPEED_RDYEN
+
+#endif /* CFG_NO_FLASH */
diff --git a/lib_blackfin/board.c b/lib_blackfin/board.c
index 55d13fa..3593154 100644
--- a/lib_blackfin/board.c
+++ b/lib_blackfin/board.c
@@ -35,7 +35,9 @@
 #include "blackfin_board.h"
 #include "../drivers/smc91111.h"
 
+#ifndef CFG_NO_FLASH
 extern flash_info_t flash_info[];
+#endif
 
 
 static void mem_malloc_init(void)
@@ -67,12 +69,14 @@ static int display_banner(void)
 	return (0);
 }
 
+#ifndef CFG_NO_FLASH
 static void display_flash_config(ulong size)
 {
 	puts("FLASH:  ");
 	print_size(size, "\n");
 	return;
 }
+#endif
 
 static int init_baudrate(void)
 {
